<!-- 修改收货地址 editAddress -->
<template>
  <div>
    <el-dialog :append-to-body="true" :close-on-click-modal="false" title="修改收货地址" :visible.sync="Show" width="500px">
      <div>
        <el-form :model="formData" :rules="m_rules" ref="ruleForm">
          <el-form-item label="收件人" label-width="80px" prop="receiver">
            <el-input clearable v-model="formData.receiver" auto-complete="off"></el-input>
          </el-form-item>

          <el-form-item label="联系方式" label-width="80px" prop="receiver_mobile">
            <el-input clearable v-model="formData.receiver_mobile" auto-complete="off"></el-input>
          </el-form-item>

          <el-form-item label="省市区" label-width="80px">
            <el-cascader class="w300" :options="options" v-model="selectedOptions" @change="handleChange"></el-cascader>
          </el-form-item>

          <el-form-item label="地址" label-width="80px" prop="address">
            <el-input type="textarea" clearable v-model="formData.address" auto-complete="off"></el-input>
          </el-form-item>

        </el-form>
      </div>
      <div slot="footer">
        <el-button @click="Show = false">关 闭</el-button>
        <el-button type="primary" :m_loading="m_loading" @click="submit">确 定</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import { regionData } from 'element-china-area-data'
import * as utils from '@/utils/index'
export default {
  name: 'addFormDialog',
  props: {
    value: {
      required: true,
      type: Boolean,
    },
    info: {
      type: Object,
      required: true
    },
  },

  computed: {
    Show: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }
    }
  },
  data() {
    return {
      options: regionData, //省市数据
      selectedOptions: [],
      m_tableLoading: false,
      formData: {
        id: '',
        receiver: '',//收件人
        receiver_mobile: '',//收件人联系方式
        province: '',//省
        city: '',//市
        area: '',//区域
        address: '',//地址 
      },

      m_rules: {
        receiver: { required: true, message: '请输入', trigger: 'blur' },
        receiver_mobile: { required: true, message: '请输入', trigger: 'blur' },
        address: { required: true, message: '请输入', trigger: 'blur' },
      }
    }
  },

  mounted() {
    this.init()
  },

  methods: {
    //初始化方法
    init() {
      this.formData = utils.coverObj(this.formData, this.info)
      this.selectedOptions = [this.info.province, this.info.city, this.info.area]
    },


    //省市选择
    handleChange(value) {
      console.log(value)
      this.formData.province = value[0]
      this.formData.city = value[1]
      this.formData.area = value[2]
    },

    submit() {
      this.$refs['ruleForm'].validate((valid) => {
        if (valid) {

          this.handelEdit()

        } else {
          console.log('error submit!!');
          return false;
        }
      })

    },

    handelEdit() {
      this.m_loading = true
      this.m_api.order_set_address(this.formData).then(res => {
        // 修改成功
        this.m_success('修改成功')
        this.$emit('save-after')
        this.Show = false
      }).catch(res => {

      }).finally(() => {
        this.m_loading = false
      })
    }

  },
  watch: {

  },
  filters: {

  }
}

</script>
<style lang='scss' scoped>
</style>